Attribute table does not show display value in case a relation reference widget is assigned
Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 24649

Description

It seems that in the attribute table in QGIS master the attribute tables shows the internal code instead of the display value for fields where

relation reference widgets are assigned.

In QGIS 2.x this works as expected. In master (3.x) it is broken.

History

#1 - 2017-06-23 05:19 PM - Giovanni Manghi

- Regression? changed from No to Yes

#2 - 2017-07-03 05:17 PM - Andreas Neumann

With the most recent master version it seems that for some relation reference widgets it works, for others not. I don't know what is the difference between

the ones who work and the ones who don't. Really puzzled ...

#3 - 2017-10-23 10:53 AM - Andreas Neumann

- Resolution set to worksforme

- Status changed from Open to Closed

Issue doesn't appear anymore in master. Closing therefore.
